ProjectionStack.ProjHolder (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.proj
Class ProjectionStack.ProjHolder

    java.lang.Object
      com.bbn.openmap.proj.ProjectionStack.ProjHolder

Enclosing class:
  ProjectionStack

    public class ProjectionStack.ProjHolder

extends java.lang.Object

Field Summary
`java.awt.geom.Point2D` | `center`
`java.lang.Class<? extends Projection>` | `projClass`
`protected ProjectionFactory` | `projFactory`
`float` | `scale`
`protected java.awt.Point` | `tmpPoint1`
`protected java.awt.Point` | `tmpPoint2`

Constructor Summary
`ProjectionStack.ProjHolder(Projection proj, ProjectionFactory projectionFactory)`

Method Summary
`Projection` | `create(int width, int height)`
`boolean` | `equals(Projection proj)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### projClass

    public java.lang.Class<? extends Projection> projClass

### scale

    public float scale

### center

    public java.awt.geom.Point2D center

### tmpPoint1

    protected java.awt.Point tmpPoint1

### tmpPoint2

    protected java.awt.Point tmpPoint2

### projFactory

    protected ProjectionFactory projFactory

Constructor Detail

### ProjectionStack.ProjHolder

    public ProjectionStack.ProjHolder(Projection proj,
                                      ProjectionFactory projectionFactory)

Method Detail

### equals

    public boolean equals(Projection proj)

### create

    public Projection create(int width,
                             int height)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details